<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = "Internal Transfer";
$action = "inttrnfreg_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];

$zyear = right($zdb, 4);
//$mfrdate = getzdates($zyear, 'S');
//$mtodate = getzdates($zyear, 'E');
$zroot = $_SESSION["zdir"];


$date = date("Y-m-d");
$mtodate = date("Y-m-d");


$mfrdate = date("Y-m-d", strtotime($date . ' - 1 days'));

$timestamp = strtotime($mfrdate);
$day = date('l', $timestamp);

if ($day == 'Sunday') {
    $mfrdate = date("Y-m-d", strtotime($date . ' - 2 days'));
}

if($usertype != 1){
    $disp = 'readonly';
}else{
    $disp = '';
}

$mfrshdate = date("d-m-Y", strtotime($mfrdate));
$mtoshdate = date("d-m-Y", strtotime($mtodate));

$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

include("includes/linkshead.php");
?>
<script>
    $(document).ready(function () {

        $("body").on('blur', '.itemcode', getItemName);
        $("body").on('blur change', '.itemname', getItemCode);

        function getItemName() {
            var itemcode = $(".itemcode").val();
            $.post('get_itemname.php', {itemcode: itemcode}, function (data) {
                if (data != '') {
                    $(".itemname").html(data).trigger("change");
                }
            });
        }

        function getItemCode() {
            var itemname = $(".itemname").val();
            $.post('get_itemname.php', {itemname: itemname}, function (data) {
                if (data != '') {
                    $(".itemcode").val(data);
                }
            });
        }

    });
</script>
</head>
<body>
    <form method='POST' action="<?= $action; ?>">
        <!-- Default box -->
        <div>
            <div class="col-lg-5 col-md-12 col-sm-12 col-xs-12  pad">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><?php Echo $formname; ?></h3>
                        <div class="actions pull-right">
                            <i class="fa fa-chevron-down"></i>
                            <i class="fa fa-times"></i>
                        </div>
                    </div>
                    <div class="panel-body">

                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control ">From Godown</label>
                            </div>
                            <div class="col-lg-5 col-md-5 col-sm-8 col-xs-8 pad">
                                <select name="fromgodown" class="form-control select2 fromgodown">
                                    <?php
                                    $getfromcomp = mysqli_query($conn, "SELECT `code`,`name` FROM `godown` order by name")or die(mysqli_error($conn));
                                    Echo"<option value=''></option>";
                                    while ($fetfrmcomp = mysqli_fetch_array($getfromcomp)) {
                                        Echo "<option value='$fetfrmcomp[code]'>$fetfrmcomp[name]</option>";
                                    }
                                    ?>

                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control ">To Godown</label>
                            </div>
                            <div class="col-lg-5 col-md-5 col-sm-8 col-xs-8 pad">
                                <select name="togodown" class="form-control select2 togodown">
                                    <?php
                                    $gettocomp = mysqli_query($conn, "SELECT `code`,`name` FROM `godown` order by name")or die(mysqli_error($conn));
                                    Echo"<option value=''></option>";
                                    while ($fettocomp = mysqli_fetch_array($gettocomp)) {
                                        Echo "<option value='$fettocomp[code]'>$fettocomp[name]</option>";
                                    }
                                    ?>

                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">From</label>
                            </div>
                            <div class="col-lg-5 col-md-3 col-sm-5 col-xs-5 pad">
                                <?php // if ($usertype == 1) { ?>
                                    <input type="date" class="form-control frmdate" name="fdate" value="<? echo $mfrdate; ?>">
                                <?php // } else { ?>
<!--                                    <select class="form-control frmdate" name="fdate">
                                        <option value="<?= $mfrdate ?>"><?= $mfrshdate ?></option>
                                        <option value="<?= $mtodate ?>"><?= $mtoshdate ?></option>
                                    </select> -->
                                <?php // } ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control">To</label>
                            </div>
                            <div class="col-lg-5 col-md-3 col-sm-5 col-xs-5 pad">
                                <?php // if ($usertype == 1) { ?>
                                    <input type="date" class="form-control" name="tdate" value="<? echo $mtodate; ?>">
                                <?php // } else { ?>
<!--                                    <select class="form-control todate" name="tdate">
                                        <option value="<?= $mtodate ?>"><?= $mtoshdate ?></option>
                                        <option value="<?= $mfrdate ?>"><?= $mfrshdate ?></option>
                                    </select> -->
                                <?php // } ?>

                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="text-center pad">
                            <!--<button id='view' type='submit' formtarget="_blank" name='view' class="btn btn-pad btn-square " style="background-color:#008D4C; ">
                                <i class="fa fa-television" style="color:#ffffff"></i>
                                </button>
                                <button id='cancel' type="reset" class="btn btn-pad btn-square " style="background-color:red;" onclick="window.close()">
                                <i class="fa fa-power-off" style="color:#ffffff"></i>
                                </button>-->
                            <div class="panel-footer">
                                <?php include("includes/but_rep.php"); ?>
                            </div>
                        </div>                       
                    </div>
                </div>
            </div>
        </div>
    </form>
    <?php include("includes/linksfoot.php"); ?>
</body>
</html>
